Subject: Re: [PATCH 6/6] reflog-walk: stop using fake parents

From: Eric Wong <[email-masked]>
Date: Mon, 10 Jul 2017 09:42:55 +0000

Jeff King <[email-masked]> wrote:
> On Fri, Jul 07, 2017 at 12:32:39AM +0000, Eric Wong wrote:
> 
> > I'm not sure why, but this is causing t1414.8 failures on 32-bit
> > x86 with the latest pu with Debian jessie (oldstable).
> > 
> > Reverting this (beafb2c62947a6d4a97b9c3baf99fe62ec8e830f) in pu
> > seems to fix the test for me.
> > 
> > +Cc: Ramsay since he also had a 32-bit environment.
> 
> Thanks, I was able to reproduce with CFLAGS=-m32.

No problem and thanks for the quick response!  Latest pu is
fine for me.

To notice similar errors sooner, I wonder if we should have a
test target for 64-bit users to test with -m32 enabled, somehow.

Fwiw, I started having a cronjob which runs "make test-pu" on my
32-bit machine, where config.mak has this:

==> config.mak <==
DEVELOPER := 1
pulog := /tmp/git-test-pu.log

cur_head = $(shell git rev-parse HEAD^0)
cur_pu = $(shell git rev-parse refs/remotes/origin/pu^0)

test-pu:
	git fetch -q origin
	test x"$(cur_pu)" = x"$(cur_head)" || { \
		$(MAKE) clean && \
		git reset --hard origin/pu && \
		{ $(MAKE) -k test >$(pulog) 2>&1 || \
		 mutt -s 'pufail' [email-masked] <$(pulog); }; }
-- 
EW